import request from '@/utils/request'

// 查询套餐列表
export function listSuit(query) {
  return request({
    url: '/bst/suit/list',
    method: 'get',
    params: query
  })
}

// 查询套餐列表ByIds
export function listSuitByIds(ids) {
  return request({
    url: '/bst/suit/listByIds',
    headers: {
      repeatSubmit: false,
    },
    method: 'post',
    data: ids
  })
}

// 查询套餐详细
export function getSuit(id) {
  return request({
    url: '/bst/suit/' + id,
    method: 'get'
  })
}

// 新增套餐
export function addSuit(data) {
  return request({
    url: '/bst/suit',
    method: 'post',
    data: data
  })
}

// 修改套餐
export function updateSuit(data) {
  return request({
    url: '/bst/suit',
    method: 'put',
    data: data
  })
}

// 删除套餐
export function delSuit(id) {
  return request({
    url: '/bst/suit/' + id,
    method: 'delete'
  })
}
